Create
curl --request POST \
--url https://{defaultHost}/v1/tax_registrations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tax_registration": {
"tax_zone": "ef5a5558-0540-4dd4-9b00-4c9f4c134b50",
"manual_rate": 10
}
}
'import requests
url = "https://{defaultHost}/v1/tax_registrations"
payload = { "tax_registration": {
"tax_zone": "ef5a5558-0540-4dd4-9b00-4c9f4c134b50",
"manual_rate": 10
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tax_registration: {tax_zone: 'ef5a5558-0540-4dd4-9b00-4c9f4c134b50', manual_rate: 10}
})
};
fetch('https://{defaultHost}/v1/tax_registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "9c121cb4-e1e2-4663-90ae-585cd536ebff",
"object": "tax_registration",
"label": null,
"manual_rate": 10,
"tax_identifier": null,
"tax_zone": "ef5a5558-0540-4dd4-9b00-4c9f4c134b50",
"created_at": 1782485913,
"updated_at": 1782485913
}Tax Registrations
Create
Creates a new tax registration.
POST
/
v1
/
tax_registrations
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Success
The UUID of the specific object.
A string describing the object type returned.
The tax label for this tax registration. If blank, the default tax label from the tax zone will be used.
The manual tax rate to use for this tax registration.
Expandable – The associated tax zone ID.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?
⌘I